/****************************************************************************
**
** DCOP Stub Implementation created by dcopidl2cpp from NSPluginCallbackIface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#include "NSPluginCallbackIface_stub.h"
#include <dcopclient.h>

#include <kdatastream.h>


NSPluginCallbackIface_stub::NSPluginCallbackIface_stub( const TQCString& app, const TQCString& obj )
  : DCOPStub( app, obj )
{
}

NSPluginCallbackIface_stub::NSPluginCallbackIface_stub( DCOPClient* client, const TQCString& app, const TQCString& obj )
  : DCOPStub( client, app, obj )
{
}

NSPluginCallbackIface_stub::NSPluginCallbackIface_stub( const DCOPRef& ref )
  : DCOPStub( ref )
{
}

void NSPluginCallbackIface_stub::requestURL( TQString arg0, TQString arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "requestURL(TQString,TQString)", data );
    setStatus( CallSucceeded );
}

void NSPluginCallbackIface_stub::postURL( TQString arg0, TQString arg1, TQByteArray arg2, TQString arg3 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    arg << arg2;
    arg << arg3;
    dcopClient()->send( app(), obj(), "postURL(TQString,TQString,TQByteArray,TQString)", data );
    setStatus( CallSucceeded );
}

void NSPluginCallbackIface_stub::statusMessage( TQString arg0 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    dcopClient()->send( app(), obj(), "statusMessage(TQString)", data );
    setStatus( CallSucceeded );
}

void NSPluginCallbackIface_stub::evalJavaScript( TQ_INT32 arg0, TQString arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "evalJavaScript(TQ_INT32,TQString)", data );
    setStatus( CallSucceeded );
}


